using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.UI.Core;
using System.Windows.Input;
using System.Windows.Threading;
using System.Collections.ObjectModel;
using Fissum.TrayApp.Lib;
using System.Text.RegularExpressions;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.Framework.Common;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace Fissum.TrayApp.ViewModel.Configuration
{
#if false

    internal class TCPConfigEditionViewModel : AsyncViewModelBase
    {
        private TfsTeamProjectCollection _tpc;

        public List<ProjectConfigEditionModel> ProjectList { get; private set; }


        private void FillProjectList()
        {
            var versionControlServer = _tpc.GetService(typeof(VersionControlServer)) as VersionControlServer;
            var projects = versionControlServer.GetAllTeamProjects(true);
            var globalStore = new WorkItemStore(_tpc);

            foreach (TeamProject pinfo in projects)
            {
                Project project = globalStore.Projects[pinfo.Name];
                if (project != null)
                {
                    ProjectList.Add(new ProjectConfigEditionModel(project, this));
                }
            }
        }
        /// <summary>
        /// Initializes a new instance of the TCPConfigEditionViewModel class.
        /// </summary>
        /// <param name="ConfigEditionViewModel"></param>
        public TCPConfigEditionViewModel(TfsTeamProjectCollection tpc, CoreViewModelBase parent)
            : base(parent)
        {
            _tpc = tpc;
            FillProjectList();
            ProjectList = new List<ProjectConfigEditionModel>();
        }




    }
#endif
}
