using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.UI.Core;
using System.Windows.Input;
using System.Windows.Threading;
using System.Collections.ObjectModel;
using Fissum.TrayApp.Lib;
using System.Text.RegularExpressions;
using Microsoft.TeamFoundation.Client;
using Fissum.Core.Configuration;
using Fissum.UI.Core.Menu;
using GalaSoft.MvvmLight.Command;
using Fissum.TrayApp.Model;
using Fissum.TrayApp.Messages;
using GalaSoft.MvvmLight.Messaging;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using GalaSoft.MvvmLight.Threading;
using GalaSoft.MvvmLight;

namespace Fissum.TrayApp.ViewModel
{
    internal interface IShellViewModel: ICleanup
    {
        string ShellTitle { get; }
        object ShellIcon { get; }
        CloseResult QueryClose();
       
        event EventHandler RequestClose;
     
    }

}
