﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;

namespace Fissum.UI.Core.HG
{
    public interface IHierarchicalGridDataSource
    {
        event EventHandler DataUpdated;

        IList<ColumnInfo> GetColumnInfoList();
        IList<IHierarchicalGridDataSourceItem> GetItems();

        int MaxDepth { get; }

    }
}
