using System;
using Fissum.TrayApp.Model;

namespace Fissum.TrayApp.Messages
{
    internal class ShowWorkItemMessage
    {
        public WorkItemModel WorkItem { get; private set; }

        /// <summary>
        /// Initializes a new instance of the ShowWorkItemMessage class.
        /// </summary>
        public ShowWorkItemMessage(WorkItemModel workItem)
        {
            if (workItem == null)
                throw new ArgumentNullException("workItem", "workItem is null.");
            WorkItem = workItem;
        }
    }
}
