using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using GalaSoft.MvvmLight.Messaging;
using Fissum.TrayApp.Model;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

namespace Fissum.TrayApp.Messages
{
    internal class TPCAuthenticationMessage
    {
        public TPCAuthenticationMessage(TPCModel model, bool hasAuthenticated)
        {
            TCPModel = model;
            HasAuthenticated = hasAuthenticated;
        }

        internal TPCModel TCPModel { get; private set; }
        internal bool HasAuthenticated { get; private set; }
    }
}