using System;
using Microsoft.Practices.Unity;

namespace Fissum.Core.Repository
{
    public static class UnityRepository
    {

        public static void InitializeUnityContainter(IUnityContainer container)
        {
            if (container == null)
                throw new ArgumentNullException("container", "container is null.");
            Container = container;
        }



        public static IUnityContainer Container { get; private set; }
    }
}
