﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using System.Windows.Media.Imaging;

namespace Fissum.UI.Core.Menu
{
    public interface IMenuItem
    {
        IEnumerable<IMenuItem> Items { get; }
        object Icon { get; }
        bool IsCheckable { get; }
        bool IsChecked { get; set; }
        bool IsEnabled { get; set; }
        bool Visible { get; }
        bool IsSeparator { get; }
        object ToolTip { get; }
        ICommand Command { get; }
        object CommandParameter { get; }

    }
}