using System;
using Fissum.TrayApp.Model;

namespace Fissum.TrayApp.Messages
{
    internal class ShowQueryMessage
    {
        public QueryModel Query { get; private set; }

        /// <summary>
        /// Initializes a new instance of the ShowQueryMessage class.
        /// </summary>
        public ShowQueryMessage(QueryModel query)
        {
            if (query == null)
                throw new ArgumentNullException("query", "query is null.");
            Query = query;
        }
    }
}
