﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.Models;
using Fissum.UI.Core.Menu;
using System.Windows.Input;
using System.Windows.Media.Imaging;
using GalaSoft.MvvmLight.Messaging;
using System.ComponentModel.Composition;

namespace Fissum.Addin
{
    public interface IFissumAddin: IDisposable
    {
        ICollection<AddinCommand> GetCommandsForTeamProjectCollection(TPCModel model);
        ICollection<AddinCommand> GetCommandsForProject(ProjectModel project);

        [Import]
        IFissumAddinManager Manager { get; set; }

        string Name { get; }
        string Description { get; }
        Version Version {get;}

        void Initialize();
    }

}
