using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using GalaSoft.MvvmLight.Messaging;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Fissum.Models;

namespace Fissum.Models.Messages
{
    public class TPCStateMessage
    {
        public TPCStateMessage(TPCModel model, TPCState state)
        {
            TCPModel = model;
            State = state;
        }

        public TPCModel TCPModel { get; private set; }
        public TPCState State { get; private set; }
    }
}
