using System;
using Fissum.Models;

namespace Fissum.UI.Core.Messages
{
    public class WorkItemModelSaved
    {
        private WorkItemModel _model;

        /// <summary>
        /// Initializes a new instance of the WorkItemModelSaved class.
        /// </summary>
        /// <param name="model"></param>
        public WorkItemModelSaved(WorkItemModel model)
        {
            if (model == null)
                throw new ArgumentNullException("model", "model is null.");
            _model = model;
        }
    }
}