﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using Fissum;
using Fissum.Core;
using FissumWebSite.Lib;
using System.Web.Configuration;

namespace FissumWebSite
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Session_Start(object sender, EventArgs e)
        {
            var authenticationSection = WebConfigurationManager.GetSection("system.web/authentication") as AuthenticationSection;

            if (authenticationSection.Mode == AuthenticationMode.Windows)
            {
                var context = SiteConfig.Authenticate();

                SessionData.FissumContext = context;

                if (!SessionData.IsConnectedToTFS)
                {
                    FormsAuthentication.RedirectToLoginPage();
                }
            }
        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {

        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {

        }

        protected void Session_End(object sender, EventArgs e)
        {
            SessionData.FissumContext = null;
        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}