﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.Core;
using Fissum.TeamSystem;

namespace Demo.SimpleConnection
{
    class Program
    {
        static void Main(string[] args)
        {
            Fissum.Core.Context context = new Fissum.Core.Context(true);

            context.ContextEvent += ContextEventHandler;

            context.ConnectAsync(() => Console.WriteLine("Connection sequence done."));

            Console.ReadLine();            
        }

        static void ContextEventHandler(object sender, Fissum.Core.ContextGlobalEvent e)
        {
            Console.WriteLine("{0}/:{1}: {2}", e.Level, e.Type, e.Message);
        }
    }
}
