using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Fissum.Core.Data;
using Fissum.TeamSystem.Collections;
using System.Drawing;

namespace Fissum.Core.Winform.CollectionStyle
{
    public class EmptyCollectionStyle : CollectionStyleBase
    {
        internal EmptyCollectionStyle()
            : base("No Style")
        {
        }
        public override IWorkItemListBackgroundPainter GetBackgroundPrinter()
        {
            return null;
        }
        public override WorkItemCollectionSource GetWorkItemCollectionSource(WorkItemCollectionSource source)
        {
            return source;
        }
    }
}