using System;
using System.Windows.Data;
using System.Windows;
using Fissum.UI.Core.HG;
using Fissum.TrayApp.Model;

namespace Fissum.TrayApp.Lib
{
    [ValueConversion(typeof(IHierarchicalGridDataSourceItem), typeof(WorkItemModel))]
    class HierarchicalGridDataSourceItemToWorkItemConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value as WorkItemModel;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return DependencyProperty.UnsetValue;
        }

        #endregion
    }
}
