using System;
using System.Windows.Data;
using System.Windows;

namespace Fissum.UI.Core.HG
{
    [ValueConversion(typeof(int), typeof(Thickness))]
    class LevelToThicknessConverter : IValueConverter
    {

        #region IValueConverter Members
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return new Thickness((int)value * 15, 0, 0, 0);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return DependencyProperty.UnsetValue;
        }

        #endregion
    }
}
