using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Input;
using System.Windows.Media.Imaging;

namespace Fissum.Addin
{
    public class AddinCommand
    {
        public IFissumAddin Addin { get; private set; }
        public string Name { get; set; }
        public ICommand Command { get; set; }
        public object CommandParameter { get; set; }
        public BitmapSource Image16 { get; set; }
        public BitmapSource Image32 { get; set; }
        public string Tooltip { get; set; }
        /// <summary>
        /// Initializes a new instance of the AddinCommand class.
        /// </summary>
        public AddinCommand(IFissumAddin addin)
        {
            Addin = addin;
        }

    }
}
