using System;
using System.Windows.Data;

namespace Fissum.TrayApp.Lib
{
    [ValueConversion(typeof(System.Windows.Media.Imaging.BitmapImage), typeof(System.Windows.Controls.Image))]
    class BitmapImageToImageConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return null;

            return new System.Windows.Controls.Image() { Source = value as System.Windows.Media.Imaging.BitmapImage };
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
