using System.Collections.Generic;
using GalaSoft.MvvmLight;

namespace Fissum.UI.Core.ViewModel
{
    public interface IDialogViewModel : ICleanup
    {       
        string DialogTitle { get; }
        object DialogIcon { get; }
        IDialogWindow DialogWindow { get; set; }

        List<DialogAction> Actions { get; }
    }
}
