using System;
using GalaSoft.MvvmLight;

namespace Fissum.UI.Core.ViewModel
{
    public interface IShellViewModel: ICleanup
    {
        string ShellTitle { get; }
        object ShellIcon { get; }
        CloseResult QueryClose();
       
        event EventHandler RequestClose;
     
    }


    public interface ISelectable
    {
        bool Selected { get; set; }
    }

}
