using System;
using System.Collections.Generic;
using System.Data;
using System.Net;
using System.Threading;
using System.Windows.Forms;
using System.IO;
using System.Linq;
using Fissum.TeamSystem;
using Fissum.Core;
using Fissum.Lib;

namespace Fissum
{
    /// <summary>
    /// Type of fissum message
    /// </summary>
    public enum FissumMessage 
    {
        /// <summary>
        /// Informationnal message.
        /// </summary>
        Info,
        /// <summary>
        /// Error message.
        /// </summary>
        Error,
        /// <summary>
        /// Warning message.
        /// </summary>
        Warning,
        /// <summary>
        /// Message about Team Foundation Server operation.
        /// </summary>
        TFS 
    }
}
