using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Fissum.Core
{
    /// <summary>
    /// Message sent by the context 
    /// </summary>
    public class ContextGlobalEvent : EventArgs
    {
        public string Message { get; set; }
        public ContextMessageLevel Level { get; set; }
        public ContextMessageType Type { get; set; }

        public ContextGlobalEvent()
            : base()
        {
            Level = ContextMessageLevel.Info;
            Type = ContextMessageType.Misc;
            Message = String.Empty;
        }
    }
}
