using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Reflection;

namespace Fissum
{
    public partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();

            Assembly fissumAssembly = Assembly.GetAssembly(typeof(Fissum.Program));                
            fissumVersionLabel.Text = fissumAssembly.GetName().Version.ToString();            
            changeLogTextBox.Text = Properties.Resources.ChangeLog;
            licenseTextBox.Text = Properties.Resources.License;
        }

        private void OkButtonClick(object sender, EventArgs e)
        {
            Close();
        }

        private void WebSiteLabelLLinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("iexplore", webSiteLabel.Text);
        }

        private void LooneticWebSiteLabelLinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("iexplore", looneticWebSiteLabel.Text);
        }

        private void AboutForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (e.CloseReason == CloseReason.UserClosing)
            {
                e.Cancel = true;
                Visible = false;
            }
        }

        private void LLFissumDotCom_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("iexplore", llFissumDotCom.Text);
        }
    }
}